PAPI_strerror(3)

NAME
PAPI_strerror -

Returns a string describing the PAPI error code.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
     char * PAPI_strerror( int errorCode );

Parameters:
    code -- the error code to interpret

Return values:
    *error -- a pointer to the error string.
    NULL -- the input error code to PAPI_strerror() is invalid.

PAPI_strerror() returns a pointer to the error message corresponding to the error code code. If the call fails the function returns the NULL pointer. This function is not implemented in Fortran.

Example:

    *  int ret;
    *  int EventSet = PAPI_NULL;
    *  int native = 0x0;
    *  char error_str[PAPI_MAX_STR_LEN];
    *
    *  ret = PAPI_create_eventset(&EventSet);
    *  if (ret != PAPI_OK)
    *  {
    *     fprintf(stderr, "PAPI error %d: %s, ret, PAPI_strerror(retval));
    *     exit(1);
    *  }
    *  // Add Total Instructions Executed to our EventSet
    *  ret = PAPI_add_event(EventSet, PAPI_TOT_INS);
    *  if (ret != PAPI_OK)
    *  {
    *     PAPI_perror( "PAPI_add_event");
    *     fprintf(stderr,"PAPI_error %d: %s, ret, error_str);
    *     exit(1);
    *  }
    *  // Start counting
    *  ret = PAPI_start(EventSet);
    *  if (ret != PAPI_OK) handle_error(ret);
    *

See Also:
    PAPI_perror PAPI_set_opt PAPI_get_opt PAPI_shutdown PAPI_set_debug

Author

Generated automatically by Doxygen for PAPI from the source code.